Package Details: cryptomator 1.6.5-1

Git Clone URL: https://aur.archlinux.org/cryptomator.git (read-only, click to copy)
Package Base: cryptomator
Description: Multiplatform transparent client-side encryption of your files in the cloud.
Upstream URL: https://cryptomator.org/
Keywords: cryptography encryption
Licenses: GPL3
Submitter: Foxboron
Maintainer: ajgraves (overheadhunter, SailReal)
Last Packager: SailReal
Votes: 68
Popularity: 1.02
First Submitted: 2016-04-03 17:36
Last Updated: 2022-01-10 10:23

Dependencies (10)

Required by (1)

Sources (6)

Pinned Comments

ajgraves commented on 2021-05-02 20:49

Everyone, with great thanks to @SailReal, this package now builds Cryptomator from source. If you wish to continue using the binary AppImage build, you need only to install cryptomator-bin.

We made this change to better align with the desires of the community (you've asked a few times to make this a "build from source" package) as well as better align to the package naming convention within the AUR.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Anonymous comment on 2021-12-18 14:12

@SailReal I rebooted and that solved the problem. Thank you very much.

SailReal commented on 2021-12-13 13:39

@currantpigeonsty did you just installed the Java environment like e.g. jdk-openjdk? If so you need to do the following so that your environment uses the updated $PATH variable:

After installation, the Java environment will need to be recognized by the shell ($PATH variable). This can be done by sourcing /etc/profile from the command line or by logging out/in again of the Desktop Environment or reboot. (From https://wiki.archlinux.org/title/java)

After that, the installation should work :)

Anonymous comment on 2021-12-13 13:14

I got the following error message and makepkg stopped.

PKGBUILD: line 54: jlink: command not found

Do you have dependency issues?

SailReal commented on 2021-11-18 20:10

@xafr there are a few packages that provide java-environment=17, some are even in the main repo like e.g. https://archlinux.org/packages/extra/x86_64/jdk-openjdk/ or the AUR has e.g. https://aur.archlinux.org/packages/zulu-17-bin/

xafr commented on 2021-11-18 19:43

Thanks for your hint with Java 16. Seems like the new version needs Java 17 to install which I don't even have on manjaro... "unable to satisfy dependency 'java-environment=17' required by cryptomator" Is there a way to install it without those java-dependencies?

SailReal commented on 2021-10-29 18:45

@Fatum v1.6.2 will be published on Monday or Tuesday with a bugfix for it. Here is the issue for more information: https://github.com/cryptomator/cryptomator/issues/1866

Fatum commented on 2021-10-29 18:38

Please help! After updating the package, the program runs only from root. If you run it as a normal user, the GUI does not start.

(cryptomator:9280): Gtk-WARNING **: 21:26:39.908: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version 21:26:40.115 [JavaFX Application Thread] INFO o.c.ui.launcher.FxApplicationStarter - JavaFX Runtime started. Exception in thread "JavaFX Application Thread" java.io.UncheckedIOException: Failed to load /fxml/main_window.fxml at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.common.FxmlLoaderFactory.createScene(FxmlLoaderFactory.java:61) at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.common.FxmlLoaderFactory.createScene(FxmlLoaderFactory.java:47) at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.mainwindow.MainWindowModule.provideMainScene(MainWindowModule.java:76) at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.mainwindow.MainWindowModule_ProvideMainSceneFactory.provideMainScene(MainWindowModule_ProvideMainSceneFactory.java:31) at org.cryptomator.desktop@1.6.1/org.cryptomator.launcher.DaggerCryptomatorComponent$MainWindowComponentImpl.fxmlSceneScene(DaggerCryptomatorComponent.java:5933) at org.cryptomator.desktop@1.6.1/org.cryptomator.launcher.DaggerCryptomatorComponent$MainWindowComponentImpl$SwitchingProvider.get(DaggerCryptomatorComponent.java:6062) at dagger@2.39/dagger.internal.DoubleCheck.get(DoubleCheck.java:47) at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.mainwindow.MainWindowComponent.showMainWindow(MainWindowComponent.java:28) at org.cryptomator.desktop@1.6.1/org.cryptomator.ui.fxapp.FxApplication.lambda$showMainWindow$1(FxApplication.java:114) at javafx.graphics/com.sun.javafx.application.PlatformImpl.lambda$runLater$10(PlatformImpl.java:457) at java.base/java.security.AccessController.doPrivileged(Unknown Source) at javafx.graphics/com.sun.javafx.application.PlatformImpl.lambda$runLater$11(PlatformImpl.java:456) at javafx.graphics/com.sun.glass.ui.InvokeLaterDispatcher$Future.run(InvokeLaterDispatcher.java:96) at javafx.graphics/com.sun.glass.ui.gtk.GtkApplication._runLoop(Native Method) at javafx.graphics/com.sun.glass.ui.gtk.GtkApplication.lambda$runLoop$11(GtkApplication.java:290) at java.base/java.lang.Thread.run(Unknown Source)

full code error: http://pastie.org/p/4zCTHXasb8FrlW026OpPko

SailReal commented on 2021-09-23 18:35

@xafr and @aquatic7 please make sure, that you use java version 16 to build the project. You can check with archlinux-java status which one is selected (marked with default) and use e.g. sudo archlinux-java set zulu-16 to set it. After setting java 16 you should be able to build and install this package.

aquatic7 commented on 2021-09-23 16:04

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project commons: Fatal error compiling: invalid flag: --release -> [Help 1] [ERROR] [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch. [ERROR] Re-run Maven using the -X switch to enable full debug logging. [ERROR] [ERROR] For more information about the errors and possible solutions, please read the following articles: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException [ERROR] [ERROR] After correcting the problems, you can resume the build with the command [ERROR] mvn <args> -rf :commons ==> ERROR: A failure occurred in build(). Aborting...

xafr commented on 2021-09-16 18:04

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project commons: Fatal error compiling: invalid flag: --release -> [Help 1] [ERROR]